# $Revision: 1.19 $, $Date: 2001/11/19 22:21:32 $
Summary:	RCS - version control system
Summary(es):	RCS - sistema de control de versiones
Summary(de):	RCS - Versionssteuersystem
Summary(fr):	RCS - Systme de contrle de version
Summary(pl):	RCS - system kontroli wersji
Summary(pt_BR):	RCS - sistema de controle de verses
Summary(tr):	Srm denetleme sistemi
Name:		rcs
Version:	5.7
Release:	17
License:	GPL
Group:		Development/Version Control
Group(de):	Entwicklung/Versionkontrolle
Group(pl):	Programowanie/Zarzdzanie wersjami
Source0:	ftp://prep.ai.mit.edu/pub/gnu/%{name}-%{version}.tar.gz
Source1:	%{name}-non-english-man-pages.tar.bz2
Patch0:		%{name}-stupidrcs.patch
Patch1:		%{name}-DESTDIR.patch
Patch2:		%{name}-security.patch
URL:		http://www.cs.purdue.edu/homes/trinkle/RCS/
BuildRequires:	autoconf
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Revision Control System (RCS) manages multiple revisions of files.
RCS automates the storing, retrieval, logging, identification, and
merging of revisions. RCS is useful for text that is revised
frequently, for example programs, documentation, graphics, papers, and
form letters.

%description -l de
Das Revision Control Syste (RCS) verwaltet mehrere Dateirevisionen. Es
automatisiert das Abspeichern, das Einlesen, das Aufzeichnen, die
Erkennung und das Zusammenfhren von Revisionen. RCS ist praktisch fr
Texte, die hufig revidiert werden, etwa Programme, Dokumentation,
Graphiken, Artikel und Formulare.

%description -l es
Sistema de Control de Revisin (RCS) administra mltiples revisiones
de archivos. RCS automatiza el almacenamiento, recuperacin, registro,
identificacin y la fusin de revisiones. Es til para textos se
revisan frecuentemente, como programas, documentacin, grficos y
formularios de cartas.

%description -l fr
Le systme de contrle de rvision (RCS) gre les nombreuses rvisions
des fichiers. RCS automatise le stockage, la rcupration,
l'identification et le mlange des rvisions. RCS sert aux textes
rviss frquemment, par exemple les "programmes, la documentation,
les graphiques, les articles et les lettres.

%description -l pl
Revision Control System (RCS) - w wolnym tumaczeniu system kontroli
wersji umoliwia zarzdzanie wieloma wersjami plikw. Za pomoc RCS
mona w prosty sposb automatyzowa skadowanie, wyciganie, logowanie
z archiwum jak i czenie dokumentw rnych wersji. RCS jest wygodny
do zarzdzania dokumentw czsto zmienianych jak kod rdowy
programw, dokumentacja, grafika czy listy.

%description -l pt_BR
O Sistema de Controle de Reviso (RCS) administra mltiplas revises
de arquivos. RCS automatiza o armazenamento, recuperao, registro,
identificao e a fuso de revises. RCS  til para texto que 
revisado freqentemente, como programas, documentao, grficos e
formulrios de cartas.

%description -l tr
Srm denetim sistemi (Revision Control System - RCS) bir dosyann
birden fazla srmn denetlemek iin kullanlr. RCS dosya zerindeki
deiikliklerin tutulmasn, saklanmasn, kaytlarnn tutulmas
ilerini kolaylatrr. zerinde ska deiiklik yaplan program
kodlar, belgeler ve makaleler iin son derece yararl bir aratr.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoconf
%configure \
	--with-diffutils
touch src/conf.h
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man1/rcsfreeze.1*

gzip -9nf NEWS REFS
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[15]/*
%lang(fi) %{_mandir}/fi/man[15]/*
%lang(ja) %{_mandir}/ja/man[15]/*
%lang(pl) %{_mandir}/pl/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: rcs.spec,v $
Revision 1.19  2001/11/19 22:21:32  ankry
- added fi, ja, pl man pages
- release 17

Revision 1.18  2001/08/30 05:11:09  kloczek
- release 16,
- merge RH security patch (tmp race fix),
- merge translations from CNV.

Revision 1.17  2000/10/01 07:33:15  kloczek
- release 14: use rpm new automation suit.

Revision 1.16  2000/06/13 20:29:08  kloczek
- spec adapterized.

Revision 1.15  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/05/05 15:06:00  mis
- Group: synced with PLD groups

Revision 1.13  2000/04/06 14:30:44  mis
- typos

Revision 1.12  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.10  1999/07/12 23:06:14  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun 25 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [5.7-12]
- based on RH spec,
- spec rewrited by PLD team.
